Montare volumi exfat su ubuntu 16.04 e 18.04

AGGIORNAMENTO: Microsoft integrerà il filesystem exFAT direttamente all’interno del kernel Linux! Ancora non si sa quando verrà rilasciato l’aggiornamento ma da quel momento in poi non sarà necessario più seguire questa guida per utilizzare il filesystem di Microsoft con Ubuntu.


Ti sarà sicuramente capitato di dover copiare dei dati al volo su chiavetta USB formattata con Windows  per poi scoprire che, una volta collegata ad  ubuntu, non era leggibile dal sistema operativo a causa dell’errore unknown filesystem.

Error mounting/dev/sdc1 at /media/lorenzo/14BD-2468: unknown filesystem type ‘exfat’  

Perché succede?

Questo errore si verifica perché il filesystem exFAT è di proprietà di Microsoft e i driver per gestirlo non sono inclusi di default all’interno dell’installazione di Ubuntu.

Come si risolve?

Per aggiungere i driver exFAT ad Ubuntu ti basta aprire una finestra del terminale ad installare i pacchetti necessari tramite il seguente comando:

sudo apt install exfat-fuse exfat-utils

Una volta terminata l’installazione, per accedere ai file, ti basta riprovare ad aprire la chiavetta da nautilus.

NOTA: se ricevi il messaggio di errore E: Impossibile trovare il pacchetto exfat-fuse accertati di aver abilitato il repository universe da “Software e aggiornamenti”

Accertati di aver abilitato il repository universe mettendo la spunta alla voce "Mantenuto dalla comunità, software libero e open source"
Accertati di aver abilitato il repository universe mettendo la spunta alla voce “Mantenuto dalla comunità, software libero e open source”

Conclusioni

Se questo post ti è stato utile puoi farmelo sapere con un commento qui sotto oppure scrivendomi direttamente a t.me/lorenzomillucci.
Inoltre ti invito ad iscriverti al mio canale Telegram o a seguirmi su Twitter per non perderti nemmeno un post del mio blog.

2 risposte a “Montare volumi exfat su ubuntu 16.04 e 18.04”

  1. su Ubuntu 18.04 a me non funziona mi da questo risultato:

    Il pacchetto exfat-utils non ha versioni disponibili, ma è nominato da un altro
    pacchetto. Questo potrebbe indicare che il pacchetto è mancante, obsoleto
    oppure è disponibile solo all’interno di un’altra sorgente

    E: Impossibile trovare il pacchetto exfat-fuse
    E: Il pacchetto “exfat-utils” non ha candidati da installare

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *